package com.zm.order.tool.server.dao;

import com.zm.order.tool.server.model.UpdateUserId;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Administrator
 */
@Repository
public interface UpdateUserIdDao {

    /**
     * 插入数据
     *
     * @param record
     * @return
     */
    int insert(UpdateUserId record);

    /**
     * 批量插入
     *
     * @param updateUserIdList
     * @return
     */
    int inserts(@Param("updateUserIdList") List<UpdateUserId> updateUserIdList);

    /**
     * 修改状态
     *
     * @param id
     * @return
     */
    int updateStatus(@Param("id") Long id);

    /**
     * 修改phone
     *
     * @param id
     * @param userId
     * @return
     */
    int updateUserId(@Param("id") Long id, @Param("userId") Long userId);


    /**
     * 查询列表
     *
     * @param lastId
     * @return
     */
    List<UpdateUserId> selectList(@Param("lastId") Long lastId);

    /**
     * 查询列表
     *
     * @param lastId
     * @param endId
     * @return
     */
    List<UpdateUserId> selectList1(@Param("lastId") Long lastId,
                                   @Param("endId") Long endId);

    /**
     * 通过订单号查询
     *
     * @param orderNoList
     * @return
     */
    List<UpdateUserId> selectListByOrderNo(@Param("orderNoList") List<String> orderNoList);

    /**
     * 修改手机号
     *
     * @param id
     * @param phone
     * @return
     */
    int updatePhone(@Param("id") Long id, @Param("phone") String phone);
}